Kapitel 4. Betrieb
Zurück | 4.18 Links | Weiter

## 4.18 Links

Unter Unix werden so genannte Links bereits seit vielen Jahren eingesetzt. Sie kennen diese vielleicht schon von anderen Betriebssystemen unter dem Namen „ Verknüpfungen“. Um einen Link zu erzeugen, bedient man sich des Kommandos `ln`. Auch dieses Kommando verfügt über die Option `--help`, die Ihnen eine kurze Information zu den verfügbaren Optionen gibt:

    bash-2.02$ ln --help

    Benutzung: ln [OPTION]... ZIEL [VERKNÜPFUNGSNAME]
        oder:  ln [OPTION]... ZIEL... VERZEICHNIS
        oder:  ln [OPTION]... --target-directory=VERZEICHNIS ZIEL...
    Erzeugen einer Verknüpfung des angegebenen ZIELES mit optionaler VERKNÜPFUNG.
    Wenn mehr als ein ZIEL angegeben wird, muss das letzte Argument ein
    Verzeichnis sein. Erzeugen von Verknüpfungen für jedes ZIEL in VERZEICHNIS.
    Als Standardvorgabe werde harte Verknüpfungen erstellt, symbolische
    Verknüpfungen mit --symbolic. Beim Erzeugen von harten Verknüpfungen muss
    jedes ZIEL existieren.

          --backup=[KONTROLLE]     Erzeugen von Sicherungen für vorhandene
                                   Zieldateien.
      -b                           Wie --backup, akzeptiert aber kein Argument.
      -d, -F, --directory          Verzeichnisse hart verknüpfen. (Nur
                                   Super-User)
      -f, --force                  Vorhandene Ziele entfernen.
      -n, --no-dereference         Behandeln eines Zieles, das eine symbolische
                                     Verknüpfung auf ein Verzeichnis ist, wie
                                     normale Datei.
      -i, --interactive            Nachfrage vor Entfernen vorhandener Ziele.
      -s, --symbolic               Symbolische statt harter Verknüpfung erzeugen
      -S, --suffix=SUFFIX          Überschreiben der normalen Anhänge für
                                     Sicherungen.
          --target-directory=VERZ  Angabe des VERZeichnisses in dem die
                                   Verknüpfungen erstellt werden sollen.
      -v, --verbose                Ausgabe des Namens jeder Datei vor dem
                                     Verknüpfen.
          --help                   Anzeige dieser Hilfe und beenden.
          --version                Ausgabe der Versionsinformation und beenden.

    Der Anhang für Sicherheitskopien ist ~, außer wenn er --suffix oder
    SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Versionskontrolle kann mit
    --backup oder VERSION_CONTROL gesetzt werden. Mögliche Werte sind:

      none, off       Niemals Sicherung erzeugen (selbst wenn --backup
                        angegeben wurde)
      numbered, t     Erzeugen von nummerierten Sicherheitskopien
      existing, nil   Nummeriert wenn nummerierte Backups existieren,
                      sonst einfach.
      simple, never   Immer einfache Sicherheitskopien erzeugen

    Berichten Sie Fehler an <bug-fileutils@gnu.org>.

Aber das sieht komplizierter aus, als es ist. In 98% aller Fälle wird Ihnen `ln` in der „Sparversion“ als `ln -s originaldatei link-zur-datei` ausreichen. Weitere Informationen finden Sie wie immer auch in der Manpage.

Zurück | Nach oben | Weiter
4.17 `ps` | Zum Anfang | 4.19 `vi`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).